%global momorel 1

Summary: The libevent API provides a mechanism to execute a callback function
name: libevent
Version: 1.4.11
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
Source0: http://www.monkey.org/~provos/%{name}-%{version}-stable.tar.gz
NoSource: 0
Url: http://www.monkey.org/~provos/libevent/

License: BSD
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. Furthermore, libevent also support callbacks due to
signals or regular timeouts.libevent is meant to replace the event
loop found in event driven network servers. An application just needs
to call event_dispatch() and then add or remove events dynamically
without having to change the event loop.

%package devel
Summary: Header files and libraries for developing apps which will use libevent.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The libevent-devel package contains the header files and libraries needed
to develop programs that use the libevent library.

Install the libevent-devel package if you want to develop applications that
will use the libevent library.

%prep
%setup -q -n %{name}-%{version}-stable

%build
aclocal
%configure
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}

DESTDIR=%{buildroot} make install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libevent*.so.*

%files devel
%defattr(-,root,root)
%doc README 
%{_bindir}/event_rpcgen.py
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/*.a
%{_mandir}/man3/*

%changelog
* Mon Jun  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.11-1m)
- update to 1.4.11

* Sat May 23 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.10-1m)
- update to 1.4.10

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.9-2m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.9-1m)
- update to 1.4.9

* Wed Oct 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.8-1m)
- update to 1.4.8

* Wed Jul  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-1m)
- update to 1.4.5

* Sat May 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1-0.1.2m)
- rebuild against gcc43

* Sat Jan  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.1-0.1.1m)
- update to 1.4.1-beta

* Sun Oct 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3e-1m)
- update to 1.3e

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3d-1m)
- update to 1.3d
- do not use %%NoSource macro

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3c-1m)
- update to 1.3c

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3b-1m)
- update to 1.3b

* Wed Feb 21 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.3a-1m)
- up to 1.3a

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1a-3m)
- delete libtool library

* Wed Jun  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1a-2m)
- revise %%files to avoid conflicting

* Wed Feb 2 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.1a-1m)
- Initial version
